Bug 11385 - C4::SQLHelper should be removed
Summary: C4::SQLHelper should be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Yohann Dufour
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12482 12487 12623 12626 12627 12633
Blocks: 12608
  Show dependency treegraph
 
Reported: 2013-12-11 17:22 UTC by Galen Charlton
Modified: 2015-12-03 22:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11385: SQLHelper removed (19.89 KB, patch)
2014-07-28 12:31 UTC, Yohann Dufour
Details | Diff | Splinter Review
Bug 12633: Remove SQLHelper in C4::Members (13.91 KB, patch)
2015-04-13 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11385: Remove SQL::Helper (18.95 KB, patch)
2015-04-13 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 11385: Remove SQL::Helper (18.95 KB, patch)
2015-04-29 21:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11385: Remove SQL::Helper (18.95 KB, patch)
2015-04-29 21:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11385: Remove SQL::Helper (19.03 KB, patch)
2015-05-07 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-12-11 17:22:45 UTC
Now that DBIx::Class is integrated into Koha, C4::SQLHelper should be removed and replaced with use of DBIC.

Why?  Now that we have a real ORM, there is no need for a bespoke, imperfect DBMS abstraction module.

The following files reference C4::SQLHelper:

C4/Acquisition.pm
C4/Budgets.pm
C4/Contract.pm
C4/Members.pm
C4/SQLHelper.pm
C4/Suggestions.pm
Koha/Borrower/Modifications.pm
admin/aqbudgetperiods.pl
t/db_dependent/SQLHelper.t
Comment 1 Yohann Dufour 2014-07-28 12:31:17 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-03-19 08:31:19 UTC
This depends on a report without patches in status Assigned.
Moving status to BLOCKED
Comment 3 Jonathan Druart 2015-04-13 14:25:42 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-04-13 14:30:06 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-04-29 21:11:19 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-29 21:15:59 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-05-07 12:07:02 UTC
Created attachment 38944 [details] [review]
[PASSED QA] Bug 11385: Remove SQL::Helper

At this point, no occurrence of SQL::Helper should exist.
Let's remove the package and tests.

Test plan:
  git grep SQLHelper
and
  git grep InTable

Should not return anything in the Koha code.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2015-05-15 18:45:16 UTC
Patch pushed to master.

Good job Jonathan!